nisinit(8)

NAME
nisinit - NIS+ client and server initialization utility

SYNOPSIS
nisinit -r
nisinit -c -C coldstart | -H host | -B

DESCRIPTION

nisinit initializes a machine to be a NIS+ client or an NIS+ root master server.

OPTIONS

-r  Initialize the machine to be a NIS+ root server. This option creates the file /var/nis/data/root.object

-c  Initializes the machine to be a NIS+ client. There are three initialization options available: initialize by coldstart, initialize by hostname, and initialize by broadcast. The most secure mechanism is to initialize from a trusted coldstart file. The second option is to initialize using a hostname that you specify as a trusted host. The third method is to initialize by broadcast and it is the least secure method.

    -C coldstart
        Causes the file coldstart to be used as a prototype coldstart file when initializing a NIS+ client. This coldstart file can be copied from a machine that is already a client of the NIS+ namespace.

    -H hostname
        Specifies that the host hostname should be contacted as a trusted NIS+ server. This hostname must be reachable from the client without the name service running. For IP networks this means that there must be an entry in /etc/hosts or a DNS entry for this host when nisinit is invoked.

    -B  Specifies that the nisinit command should use an IP broadcast to locate a NIS+ server on the local subnet. Any machine that is running the NIS+ service may answer. No guarantees are made that the server that answers is a server of the organization's namespace.

EXIT CODES

nisinit returns 0 on success and 1 on failure.

FILES
/var/nis/NIS_COLD_START
    This file contains a list of servers, their transport addresses, and their Secure RPC public keys that serve the machine's default domain.
/var/nis/data/root.object
    This file describes the root object of the NIS+ namespace. It is a standard XDR-encoded NIS+ directory object that can be modified by authorized clients using the nis_modify() interface.

AUTHOR
This version of the nisinit command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.